## org.apache.mahout.math
Class MatrixUtils

    java.lang.Object
      org.apache.mahout.math.MatrixUtils

    public final class MatrixUtils

extends Object

Method Summary
`static String[]` `invertDictionary(OpenObjectIntHashMap<String> termIdMap)`
`static Matrix` `read(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path... modelPaths)`
`static OpenObjectIntHashMap<String>` `readDictionary(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path... dictPath)`
`static void` `write(org.apache.hadoop.fs.Path outputDir, org.apache.hadoop.conf.Configuration conf, VectorIterable matrix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public static void write(org.apache.hadoop.fs.Path outputDir,
                             org.apache.hadoop.conf.Configuration conf,
                             VectorIterable matrix)
                      throws IOException

  Throws:
    `IOException`

### read

    public static Matrix read(org.apache.hadoop.conf.Configuration conf,
                              org.apache.hadoop.fs.Path... modelPaths)
                       throws IOException

  Throws:
    `IOException`

### readDictionary

    public static OpenObjectIntHashMap<String> readDictionary(org.apache.hadoop.conf.Configuration conf,
                                                              org.apache.hadoop.fs.Path... dictPath)

### invertDictionary

    public static String[] invertDictionary(OpenObjectIntHashMap<String> termIdMap)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.